### Method

# Atk Object set_accessible_id

since: 2.34

#### Declaration [src]

    void
    atk_object_set_accessible_id (
      AtkObject* accessible,
      const gchar* id
    )

#### Description [src]

Sets the accessible ID of the accessible. This is not meant to be presented to the user, but to be an ID which is stable over application development. Typically, this is the gtkbuilder ID. Such an ID will be available for instance to identify a given well-known accessible object for tailored screen reading, or for automatic regression testing.

Available since: 2.34

Sets property | `Atk.Object:accessible-id`

#### Parameters

`id`

  Type: `const gchar*`

  A character string to be set as the accessible id.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.